# Bing Map Navigator

## Description:

Bing Map Navigator

Use this component to track object current position to destination using bing map.

### Allowed Parent Components:

1. Card Body

### Allowed Child Components:

1. Popover
2. Pulse
3. Trigger Before Render

### Properties

### ➤ Travel Mode

Allowed Values:

1. DRIVING
2. WALKING
3. TRANSIT

### ➤ Height

Provide a numeric value to set the height of the component in pixels.

Allowed Values: Any number value

### ➤ Width

Provide a numeric value to set the width of the component in pixels.

Allowed Values: Any number value

### ➤ Use Existing Data Source

Choose this prop if you want to reuse a Data Source that was defined on some other component on this page or any of the parent abstract pages.

Allowed Values: Yes/No

### ➤ Data Source

Select a datasource from the list.

Allowed Values: Select a datasource from the list.

### ➤ Data Source Alias

Allowed Values: Free text field

### ➤ Default Where Clause

Allowed Values: Free text field

### ➤ Max Rows

Allowed Values: Any number value

### ➤ Order By Clause

e.g. #firstAttr#, #secondAttr# DESC

Allowed Values: Free text field

### ➤ Auto Query

Check this property to query the selected datasource on component render.

Allowed Values: Yes/No

### ➤ Execute Count SQL

Check this to execute count SQL to get the total number of rows in the database on a query. You can get this value by using the expression: #{DataStore.totalLength}

Allowed Values: Yes/No

### ➤ Execute Distinct SQL

Check this to execute distinct SQL to get the total number of distinct rows in the database on a query.

Allowed Values: Yes/No

### ➤ Start Lat Attribute

Select the start attribute of the direction from the list.

Allowed Values: Select the start attribute of the direction from the list.

### ➤ Start Long Attribute

Select the start attribute of the direction from the list.

Allowed Values: Select the start attribute of the direction from the list.

### ➤ Start Marker Icon

Select the marker icon attribute of the start direction from the list.

Allowed Values: Select the marker icon attribute of the start direction from the list.

### ➤ End Lat Attribute

Select the end attribute of the direction from the list.

Allowed Values: Select the end attribute of the direction from the list.

### ➤ End Long Attribute

Select the end attribute of the direction from the list.

Allowed Values: Select the end attribute of the direction from the list.

### ➤ End Marker Icon

Select the marker icon attribute of the end direction from the list.

Allowed Values: Select the marker icon attribute of the end direction from the list.

### ➤ Start Marker Icon Color

Enter the hex color code or write an expression to derive the hex color code of the start marker. e.g.. #000000 to show in black color

Allowed Values: An expression which should return string after evaluation

### ➤ End Marker Icon Color

Enter the hex color code or write an expression to derive the hex color code of the end marker. e.g.. #000000 to show in black color

Allowed Values: An expression which should return string after evaluation

### ➤ Route Path Color

Enter the hex color code or write an expression to derive the hex color code of the route path. e.g.. #000000 to show in black color

Allowed Values: An expression which should return string after evaluation

### ➤ Marker Size

Specify the marker icon size.

Allowed Values: Any number value

### ➤ Auto Refresh Interval

Specify this property in seconds to refresh the component to specified interval.

Allowed Values: Any number value


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudio.io/ui-components/widgets/bingmapnavigator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
